Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cmp
Class PKIStatusInfo.Status

`java.lang.Object
oracle.security.crypto.cmp.PKIStatusInfo.Status`

Enclosing class:
  PKIStatusInfo

public static class PKIStatusInfo.Status
extends java.lang.Object

Represents the set of status codes which may appear in a `PKIStatusInfo` instance.

Field Summary
`static PKIStatusInfo.Status` | `GRANTED` Indicates you got exactly what you asked for.
`static PKIStatusInfo.Status` | `GRANTED_WITH_MODS` Indicates you got something like what you asked for; the requester is responsible for ascertaining the differences.
`static PKIStatusInfo.Status` | `KEY_UPDATE_WARNING` Indicates update already done for the oldCertId specified in the key update request message.
`static PKIStatusInfo.Status` | `REJECTION` Indicates you don't get it, more information elsewhere in the message.
`static PKIStatusInfo.Status` | `REVOCATION_NOTIFICATION` Indicates notification that a revocation has occurred.
`static PKIStatusInfo.Status` | `REVOCATION_WARNING` Indicates this message contains a warning that a revocation is imminent.
`static PKIStatusInfo.Status` | `WAITING` Indicates the request body part has not yet been processed, expect to hear more later.

Method Summary
`int` | `getValue()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### GRANTED

    public static final PKIStatusInfo.Status GRANTED

  Indicates you got exactly what you asked for.

### GRANTED_WITH_MODS

    public static final PKIStatusInfo.Status GRANTED_WITH_MODS

  Indicates you got something like what you asked for; the requester is responsible for ascertaining the differences.

### REJECTION

    public static final PKIStatusInfo.Status REJECTION

  Indicates you don't get it, more information elsewhere in the message.

### WAITING

    public static final PKIStatusInfo.Status WAITING

  Indicates the request body part has not yet been processed, expect to hear more later.

### REVOCATION_WARNING

    public static final PKIStatusInfo.Status REVOCATION_WARNING

  Indicates this message contains a warning that a revocation is imminent.

### REVOCATION_NOTIFICATION

    public static final PKIStatusInfo.Status REVOCATION_NOTIFICATION

  Indicates notification that a revocation has occurred.

### KEY_UPDATE_WARNING

    public static final PKIStatusInfo.Status KEY_UPDATE_WARNING

  Indicates update already done for the oldCertId specified in the key update request message.

Method Detail

### getValue

    public int getValue()

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.